PHPExcel_Worksheet

# Class: PHPExcel_Worksheet_HeaderFooter

Source Location: /PHPExcel/Worksheet/HeaderFooter.php

### Class Overview

PHPExcel_Worksheet_HeaderFooter

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- IMAGE_FOOTER_CENTER
- IMAGE_FOOTER_LEFT
- IMAGE_FOOTER_RIGHT
- IMAGE_HEADER_CENTER
- IMAGE_HEADER_LEFT
- IMAGE_HEADER_RIGHT

### Methods

- __construct
- addImage
- getAlignWithMargins
- getDifferentFirst
- getDifferentOddEven
- getEvenFooter
- getEvenHeader
- getFirstFooter
- getFirstHeader
- getImages
- getOddFooter
- getOddHeader
- getScaleWithDocument
- removeImage
- setAlignWithMargins
- setDifferentFirst
- setDifferentOddEven
- setEvenFooter
- setEvenHeader
- setFirstFooter
- setFirstHeader
- setImages
- setOddFooter
- setOddHeader
- setScaleWithDocument
- __clone

### Class Details

[line 96]
PHPExcel_Worksheet_HeaderFooter

1. Header/Footer Formatting Syntax taken from Office Open XML Part 4 - Markup Language Reference, page 1970:
3. There are a number of formatting codes that can be written inline with the actual header / footer text, which
4. affect the formatting in the header or footer.
6. Example: This example shows the text "Center Bold Header" on the first line (center section), and the date on
7. the second line (center section).
8. &CCenter &"-,Bold"Bold&"-,Regular"Header_x000A_&D
10. General Rules:
11. There is no required order in which these codes must appear.
13. The first occurrence of the following codes turns the formatting ON, the second occurrence turns it OFF again:
14. - strikethrough
15. - superscript
16. - subscript
17. Superscript and subscript cannot both be ON at same time. Whichever comes first wins and the other is ignored,
18. while the first is ON.
19. &L - code for "left section" (there are three header / footer locations, "left", "center", and "right"). When
20. two or more occurrences of this section marker exist, the contents from all markers are concatenated, in the
21. order of appearance, and placed into the left section.
22. &P - code for "current page #"
23. &N - code for "total pages"
24. &font size - code for "text font size", where font size is a font size in points.
25. &K - code for "text font color"
26. RGB Color is specified as RRGGBB
27. Theme Color is specifed as TTSNN where TT is the theme color Id, S is either "+" or "-" of the tint/shade
28. value, NN is the tint/shade value.
29. &S - code for "text strikethrough" on / off
30. &X - code for "text super script" on / off
31. &Y - code for "text subscript" on / off
32. &C - code for "center section". When two or more occurrences of this section marker exist, the contents
33. from all markers are concatenated, in the order of appearance, and placed into the center section.
35. &D - code for "date"
36. &T - code for "time"
37. &G - code for "picture as background"
38. &U - code for "text single underline"
39. &E - code for "double underline"
40. &R - code for "right section". When two or more occurrences of this section marker exist, the contents
41. from all markers are concatenated, in the order of appearance, and placed into the right section.
42. &Z - code for "this workbook's file path"
43. &F - code for "this workbook's file name"
44. &A - code for "sheet tab name"
45. &+ - code for add to page #.
46. &- - code for subtract from page #.
47. &"font name,font type" - code for "text font name" and "text font type", where font name and font type
48. are strings specifying the name and type of the font, separated by a comma. When a hyphen appears in font
49. name, it means "none specified". Both of font name and font type can be localized values.
50. &"-,Bold" - code for "bold font style"
51. &B - also means "bold font style".
52. &"-,Regular" - code for "regular font style"
53. &"-,Italic" - code for "italic font style"
54. &I - also means "italic font style"
55. &"-,Bold Italic" code for "bold italic font style"
56. &O - code for "outline style"
57. &H - code for "shadow style"

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 186]

`PHPExcel_Worksheet_HeaderFooter __construct( )`

Create a new PHPExcel_Worksheet_HeaderFooter

#### Tags:

access: | public

[ Top ]

### method addImage [line 398]

`PHPExcel_Worksheet_HeaderFooter addImage( [PHPExcel_Worksheet_HeaderFooterDrawing $image = null], [string $location = self::IMAGE_HEADER_LEFT])`

Add header/footer image

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Worksheet_HeaderFooterDrawing | $image |
string | $location |

[ Top ]

### method getAlignWithMargins [line 375]

`boolean getAlignWithMargins( )`

Get AlignWithMargins

#### Tags:

access: | public

[ Top ]

### method getDifferentFirst [line 335]

`boolean getDifferentFirst( )`

Get DifferentFirst

#### Tags:

access: | public

[ Top ]

### method getDifferentOddEven [line 315]

`boolean getDifferentOddEven( )`

Get DifferentOddEven

#### Tags:

access: | public

[ Top ]

### method getEvenFooter [line 255]

`string getEvenFooter( )`

Get EvenFooter

#### Tags:

access: | public

[ Top ]

### method getEvenHeader [line 235]

`string getEvenHeader( )`

Get EvenHeader

#### Tags:

access: | public

[ Top ]

### method getFirstFooter [line 295]

`string getFirstFooter( )`

Get FirstFooter

#### Tags:

access: | public

[ Top ]

### method getFirstHeader [line 275]

`string getFirstHeader( )`

Get FirstHeader

#### Tags:

access: | public

[ Top ]

### method getImages [line 438]

`PHPExcel_Worksheet_HeaderFooterDrawing[] getImages( )`

Get header/footer images

#### Tags:

access: | public

[ Top ]

### method getOddFooter [line 215]

`string getOddFooter( )`

Get OddFooter

#### Tags:

access: | public

[ Top ]

### method getOddHeader [line 195]

`string getOddHeader( )`

Get OddHeader

#### Tags:

access: | public

[ Top ]

### method getScaleWithDocument [line 355]

`boolean getScaleWithDocument( )`

Get ScaleWithDocument

#### Tags:

access: | public

[ Top ]

### method removeImage [line 410]

`PHPExcel_Worksheet_HeaderFooter removeImage( [string $location = self::IMAGE_HEADER_LEFT])`

Remove header/footer image

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $location |

[ Top ]

### method setAlignWithMargins [line 385]

`PHPExcel_Worksheet_HeaderFooter setAlignWithMargins( [boolean $pValue = true])`

Set AlignWithMargins

#### Tags:

access: | public

#### Parameters:

boolean | $pValue |

[ Top ]

### method setDifferentFirst [line 345]

`PHPExcel_Worksheet_HeaderFooter setDifferentFirst( [boolean $pValue = false])`

Set DifferentFirst

#### Tags:

access: | public

#### Parameters:

boolean | $pValue |

[ Top ]

### method setDifferentOddEven [line 325]

`PHPExcel_Worksheet_HeaderFooter setDifferentOddEven( [boolean $pValue = false])`

Set DifferentOddEven

#### Tags:

access: | public

#### Parameters:

boolean | $pValue |

[ Top ]

### method setEvenFooter [line 265]

`PHPExcel_Worksheet_HeaderFooter setEvenFooter( string $pValue)`

Set EvenFooter

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setEvenHeader [line 245]

`PHPExcel_Worksheet_HeaderFooter setEvenHeader( string $pValue)`

Set EvenHeader

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setFirstFooter [line 305]

`PHPExcel_Worksheet_HeaderFooter setFirstFooter( string $pValue)`

Set FirstFooter

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setFirstHeader [line 285]

`PHPExcel_Worksheet_HeaderFooter setFirstHeader( string $pValue)`

Set FirstHeader

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setImages [line 424]

`PHPExcel_Worksheet_HeaderFooter setImages( PHPExcel_Worksheet_HeaderFooterDrawing[] $images)`

Set header/footer images

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Worksheet_HeaderFooterDrawing[] | $images |

[ Top ]

### method setOddFooter [line 225]

`PHPExcel_Worksheet_HeaderFooter setOddFooter( string $pValue)`

Set OddFooter

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setOddHeader [line 205]

`PHPExcel_Worksheet_HeaderFooter setOddHeader( string $pValue)`

Set OddHeader

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setScaleWithDocument [line 365]

`PHPExcel_Worksheet_HeaderFooter setScaleWithDocument( [boolean $pValue = true])`

Set ScaleWithDocument

#### Tags:

access: | public

#### Parameters:

boolean | $pValue |

[ Top ]

### method __clone [line 455]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

### Class Constants

#### IMAGE_FOOTER_CENTER = 'CF'

[line 103]

[ Top ]

#### IMAGE_FOOTER_LEFT = 'LF'

[line 102]

[ Top ]

#### IMAGE_FOOTER_RIGHT = 'RF'

[line 104]

[ Top ]

#### IMAGE_HEADER_CENTER = 'CH'

[line 100]

[ Top ]

#### IMAGE_HEADER_LEFT = 'LH'

[line 99]

[ Top ]

#### IMAGE_HEADER_RIGHT = 'RH'

[line 101]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:21 +0200 by phpDocumentor 1.4.4